Bug 790215 - Review Request: perl-Net-IP-Match-Regexp - Efficiently match IP addresses against ranges
Summary: Review Request: perl-Net-IP-Match-Regexp - Efficiently match IP addresses aga...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-13 22:56 UTC by Ken Dreyer
Modified: 2012-04-12 06:00 UTC (History)
5 users (show)

Fixed In Version: perl-Net-IP-Match-Regexp-1.01-1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-12 02:37:10 UTC
Type: ---
steve.traylen: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ken Dreyer 2012-02-13 22:56:12 UTC
Spec URL: http://ktdreyer.fedorapeople.org/reviews/perl-Net-IP-Match-Regexp.spec
SRPM URL: http://ktdreyer.fedorapeople.org/reviews/perl-Net-IP-Match-Regexp-1.01-1.fc15.src.rpm
Description: This module allows you to check an IP address against one or more IP ranges. It employs Perl's highly optimized regular expression engine to do
the hard work, so it is very fast. It is optimized for speed by doing the
match against a regexp which implicitly checks the broadest IP ranges
first. An advantage is that the regexp can be computed and stored in
advance (in source code, in a database table, etc) and reused, saving much
time if the IP ranges don't change too often. The match can optionally
report a value (e.g. a network name) instead of just a boolean, which makes
module useful for mapping IP ranges to names or codes or anything else.

My FAS name is ktdreyer. I would like to get this package into Fedora and EPEL 6.

$ rpmlint perl-Net-IP-Match-Regexp.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint perl-Net-IP-Match-Regexp-1.01-1.fc15.src.rpm 
perl-Net-IP-Match-Regexp.src: W: spelling-error %description -l en_US boolean -> Boolean, boo lean, boo-lean
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint perl-Net-IP-Match-Regexp-1.01-1.fc18.noarch.rpm 
perl-Net-IP-Match-Regexp.noarch: W: spelling-error %description -l en_US boolean -> Boolean, boo lean, boo-lean
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Koji scratch builds:
Rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=3787965
F-16: http://koji.fedoraproject.org/koji/taskinfo?taskID=3787967 
EL-6: http://koji.fedoraproject.org/koji/taskinfo?taskID=3787969

Comment 1 Massimo Paladin 2012-02-16 12:52:52 UTC
Hi,

I am not an official package maintainer so I can make only an informal review.

Your package passed the fedora-review checks.

Only some notes:
- do you need "BuildRequires:  perl >= 1:5.6.0" ?
- instead of "./Build whatever" wouldn'it be nicer to put "%{__perl} Build whatever"
- I believe you can remove "rm -rf $RPM_BUILD_ROOT" in %install and %clean sections unless you want the package in EPEL 5 too (https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag)
- "%defattr(-,root,root,-)" this can be removed for this reason (https://fedoraproject.org/wiki/Packaging/Guidelines#File_Permissions)

fedora-review report:

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
[ ]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generates any conflict.
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[ ]: MUST Package installs properly.
[ ]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint perl-Net-IP-Match-Regexp-1.01-1.fc18.noarch.rpm

perl-Net-IP-Match-Regexp.noarch: W: spelling-error %description -l en_US boolean -> Boolean, boo lean, boo-lean
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint perl-Net-IP-Match-Regexp-1.01-1.fc18.src.rpm

perl-Net-IP-Match-Regexp.src: W: spelling-error %description -l en_US boolean -> Boolean, boo lean, boo-lean
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mpaladin/rpmbuild/REVIEWS/790215/Net-IP-Match-Regexp-1.01.tar.gz :
  MD5SUM this package     : 5558a916d5d15884be949c9f7fc71a49
  MD5SUM upstream package : 5558a916d5d15884be949c9f7fc71a49

[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[ ]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[!]: MUST Rpmlint output is silent.

rpmlint perl-Net-IP-Match-Regexp-1.01-1.fc18.noarch.rpm

perl-Net-IP-Match-Regexp.noarch: W: spelling-error %description -l en_US boolean -> Boolean, boo lean, boo-lean
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint perl-Net-IP-Match-Regexp-1.01-1.fc18.src.rpm

perl-Net-IP-Match-Regexp.src: W: spelling-error %description -l en_US boolean -> Boolean, boo lean, boo-lean
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 2 Steve Traylen 2012-02-19 11:12:54 UTC
Hi Massiomo,

 The fedora review tool only does some of the job. In particular it leaves
 many of the [ ]s blank and these must be checked.

Comment 3 Steve Traylen 2012-02-19 11:20:02 UTC
Hi,

 A very standard perl package that meets the guidelines.

Steve.

Comment 4 Ken Dreyer 2012-03-22 13:43:02 UTC
Hi Steve,
I know you're super busy. Are you still interested in reviewing this package?

Comment 5 Steve Traylen 2012-03-22 13:47:55 UTC
Hi,
It's approved already?

Comment 6 Ken Dreyer 2012-03-22 13:54:24 UTC
Hi Steve,

Sorry I'm slightly confused. Is your review complete? Can I go ahead with the SCM change request?

Comment 7 Petr Šabata 2012-03-22 14:00:06 UTC
Well, Steve gave you fedora-review+.  You should now proceed with an SCM request, Ken.

http://fedoraproject.org/wiki/Package_SCM_admin_requests#New_Packages

Comment 8 Ken Dreyer 2012-03-22 14:10:17 UTC
New Package SCM Request
=======================
Package Name: perl-Net-IP-Match-Regexp
Short Description: Efficiently match IP addresses against ranges
Owners: ktdreyer
Branches: f16 f17 el6
InitialCC:

Thanks for the clarification :)

Comment 9 Gwyn Ciesla 2012-03-22 14:19:28 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2012-03-22 18:23:11 UTC
perl-Net-IP-Match-Regexp-1.01-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Net-IP-Match-Regexp-1.01-1.fc17

Comment 11 Fedora Update System 2012-03-22 18:24:11 UTC
perl-Net-IP-Match-Regexp-1.01-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Net-IP-Match-Regexp-1.01-1.fc16

Comment 12 Fedora Update System 2012-03-22 18:26:09 UTC
perl-Net-IP-Match-Regexp-1.01-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Net-IP-Match-Regexp-1.01-1.el6

Comment 13 Fedora Update System 2012-03-23 00:41:52 UTC
perl-Net-IP-Match-Regexp-1.01-1.fc17 has been pushed to the Fedora 17 testing repository.

Comment 14 Fedora Update System 2012-04-07 09:23:30 UTC
perl-Net-IP-Match-Regexp-1.01-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 15 Fedora Update System 2012-04-12 02:37:10 UTC
perl-Net-IP-Match-Regexp-1.01-1.fc17 has been pushed to the Fedora 17 stable repository.

Comment 16 Fedora Update System 2012-04-12 06:00:08 UTC
perl-Net-IP-Match-Regexp-1.01-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.